/*
 * This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

package bit.lsi.sar.nsg;

import java.io.IOException;
import java.io.Reader;
import java.util.HashMap;

import au.com.bytecode.opencsv.CSVReader;

public class NSGTableReader {
	
	private CSVReader r;
	private String[] header;
	
	public NSGTableReader (Reader inReader) throws IOException {
		
		r = new CSVReader(inReader);
		header = r.readNext();
	}
	
	
	public HashMap<String,String> nextEntry () throws IOException {
		
		String[] curLine;
		if ( (curLine = r.readNext()) != null) {
			
			HashMap<String,String> curEntry = new HashMap<String,String>();
			
			for (int i = 0; i < header.length; i++)
				curEntry.put(header[i].toUpperCase(), curLine[i]);
			
			return curEntry;
			
		}
		
		return null;
		
	}

}
