/*
 * This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

package bit.lsi.sar.nsg.mousemenus;


import java.util.Set;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

import bit.lsi.sar.nsg.NSG;
import bit.lsi.sar.nsg.NSG.NSGEdge;
import bit.lsi.sar.nsg.NSG.NSGVertex;
import bit.lsi.sar.nsg.swing.VertexMenuListener;
import edu.uci.ics.jung.visualization.VisualizationViewer;



public class NSGMouseMenus {

	 public static class VertexMenu extends JPopupMenu {
	    /**
		 * 
		 */
		private static final long serialVersionUID = 1L;

			public VertexMenu() {
	            super("Molecule Menu");
	        }
	    }
	 
	 
	 public static class VertexMenuItem extends JMenuItem implements VertexMenuListener {

			
			/**
			 * 
			 */
			private static final long serialVersionUID = 1L;
			private NSG.NSGVertex v;
			private VisualizationViewer<NSGVertex, NSGEdge> vv;

			public VertexMenuItem(String name) {
				super(name);
			}
				
			@Override
			public void setVertexAndView(NSGVertex v,
					VisualizationViewer<NSGVertex, NSGEdge> visView) {
				this.v = v;
				this.vv = visView;
				visView.getPickedVertexState().pick(v, true);
			}
			
			public NSG.NSGVertex getVertex() {
				return v;
			}
			
			public Set<NSG.NSGVertex> getPickedVertices () {
				return vv.getPickedVertexState().getPicked();
			}

		}
	
	
}
