/*
 * This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

package bit.lsi.sar.nsg.pathbuilder.transformers;

public class LayoutConstants {

	public static final int graphLayoutNodeSpacingFactor = 150;
	public static final double graphLayoutRepulsionMultiplyer = 10;
	public static final int graphLayoutMaxIterationsMultiplier = 4;
	
	public static final int nodeYSpaceFactor = -150;
	
	public static final int nodeXSpaceFactor = 50;
	public static final double nodeXOffset = 200;
	
	public static final double yOffset = -15;
	public static final int yTickLabelOffset = 30;
	public static final int yTickLabelSize = 24;
	public static final double yTickLabelDensityFactor = 0.2;
	
	
	
	public static final int ringSpaceFactor = 40;
	
	public static final double listSpaceFactor = 0.2;
	public static final double listYOffset = -5;
	
	
	
	public static double[] shellThresholds = {0.90,0.85,0.80,0.75,0.70,0};
	
	public static final float selectionBleakness = 0.15f;
	public static final float selectionHalfBleakness = 1f;
	
	
	public static void setShellThresholds(double[] rads) {
		
		shellThresholds = rads;
		
	}
	
}
