/*
 * This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

package bit.lsi.sar.nsg.pathbuilder.transformers;

import java.awt.event.ItemEvent;
import java.util.HashSet;

import bit.lsi.sar.nsg.NSG;
import edu.uci.ics.jung.visualization.picking.MultiPickedState;

public class MutablePickedState extends MultiPickedState<NSG.NSGVertex>{
	
	private HashSet<NSG.NSGVertex> notPickable = new HashSet<NSG.NSGVertex>();
	
	
	
	@Override
	public boolean pick(NSG.NSGVertex v, boolean state) {
        boolean prior_state = this.picked.contains(v);
        if (state && isPickable(v)) {
            picked.add(v);
            if(prior_state == false) {
                fireItemStateChanged(new ItemEvent(this, ItemEvent.ITEM_STATE_CHANGED,
                        v, ItemEvent.SELECTED));
            }

        } else {
            picked.remove(v);
            if(prior_state == true) {
                fireItemStateChanged(new ItemEvent(this, ItemEvent.ITEM_STATE_CHANGED,
                    v, ItemEvent.DESELECTED));
            }

        }
        return prior_state;
    }
	
	
	
	public boolean setPickable(NSG.NSGVertex v, boolean state) {
		
		boolean priorState = notPickable.contains(v);
		
		 if (state)
			 notPickable.remove(v);
	     else
	    	 notPickable.add(v);
	     
		 return priorState;
	}
	
	public void setAllPickable() {
		notPickable.clear();
	}
	
	public boolean isPickable(NSG.NSGVertex v) {
		return !notPickable.contains(v);
	}
	
	
}
