/*
 * This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

package bit.lsi.sar.nsg.swing;

import javax.swing.JInternalFrame;
import javax.swing.ToolTipManager;

import org.apache.commons.collections15.Transformer;

import bit.lsi.sar.nsg.NSG;
import bit.lsi.sar.nsg.NSG.NSGEdge;
import bit.lsi.sar.nsg.NSG.NSGVertex;
import bit.lsi.sar.nsg.pathbuilder.transformers.MutablePickedState;

public abstract class AbstractNSGFrame extends JInternalFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	
	
	
	protected boolean overVertex = false;
	protected SmilesDepictionPanel sdPanel = new SmilesDepictionPanel();
	protected MoleculeToolTip molToolTip;
	
	private NSGFrame parentFrame = null;
	
	public void setParentFrame(NSGFrame p) {
		parentFrame = p;
	}
	
	public NSGFrame getParentFrame() {
		return parentFrame;
	}
	
	
	public AbstractNSGFrame() {
		this("", null);
	}
	
	public AbstractNSGFrame(String name, NSGFrame p) {
		super(name);
		setParentFrame(p);
	}
	
	public AbstractNSGFrame(NSGFrame p) {
		this("", p);
	}
	
	
	
	protected class ToolTipShowMol implements Transformer<NSG.NSGVertex, String> {

		@Override
		public String transform(NSGVertex v) {
			
			overVertex = true;
			sdPanel.depictMol(v.getMol());
			return v.toString();
		}
		
	}
	
	protected class ToolTipForEdge implements Transformer<NSG.NSGEdge, String> {

		@Override
		public String transform(NSGEdge e) {
			
			overVertex = false;
			return e.toString();
		}
	
	}

	
	
	
}
