/*
 * This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

package bit.lsi.sar.nsg.swing;

import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JComponent;
import javax.swing.plaf.metal.MetalToolTipUI;

import bit.lsi.sar.nsg.NSG;


public class MoleculeToolTipUI extends MetalToolTipUI {

	private SmilesDepictionPanel sdPanel;
	private NSG nsg;
	
	public MoleculeToolTipUI(SmilesDepictionPanel sdPanel, NSG nsg) {
		super();
		
		this.sdPanel = sdPanel;
		this.nsg = nsg;
	}
	
	@Override
	public void paint(Graphics g, JComponent c) 
    {
       sdPanel.getMoleculeViewer().paint(g);
       
       String centralProp = nsg.getSarSet().getCentralPropertyForTable(sdPanel.getDepictedMol());
       
       String name = "";
       
       if (sdPanel.getDepictedMol() != null)
    	   name = sdPanel.getDepictedMol().toString();
       
       g.setFont(sdPanel.getFont());
       g.drawChars(centralProp.toCharArray(), 0, centralProp.length(), 10, (int) sdPanel.getMoleculeViewer().getPreferredSize().getHeight() - 5);
       g.drawChars(name.toCharArray(), 0, name.length(), 10, 15);
       
       
       
       
    }
	
	public Dimension getPreferredSize(JComponent c)
    { 
      return sdPanel.getMoleculeViewer().getPreferredSize();
    }

	
	
}
