/*
 * This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


package bit.lsi.sar.nsg.swing;



public class TableEntry implements Comparable<TableEntry>{
	private double value;
	private String show;
	private boolean hasValue;
	
	
	public TableEntry (double value, String show) {
		this.value = value;
		this.show = show;
		this.hasValue = true;
	}
	
	public TableEntry (String show) {
		this.value = 0;
		this.show = show;
		this.hasValue = false;
	}
	
	public String toString () {
		return this.show;
	}

	public String toCVSString() {
		if (hasValue)
			return String.valueOf(value);
		else
			return show;
	}
	
	public boolean hasValue() {
		return hasValue;
	}
	
	public double getValue() {
		return value;
		
	}
	
	
	@Override
	public int compareTo(TableEntry te) {
		//Auto-generated method stub
		if (Double.compare(this.value, te.value) != 0)
			return Double.compare(this.value, te.value);
		else
			return this.show.compareTo(te.show);
	}
}